Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface Element.Impl

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  ClassElement.Impl, ConstructorElement.Impl, Element.Impl2, FieldElement.Impl, InitializerElement.Impl, MemberElement.Impl, MethodElement.Impl, SourceElement.Impl

Enclosing class:
  Element

    public static interface Element.Impl

extends Serializable

Pluggable implementation of the storage of element properties.

See Also:
  `Element.Element(org.openide.src.Element.Impl)`

Field Summary
`static long` | `serialVersionUID` Deprecated. Only public by accident.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Add a property change listener.
`void` | `attachedToElement(Element el)` Called to attach the implementation to a specific element.
`Node.Cookie` | `getCookie(Class type)` Get the support for a cookie, if any.
`void` | `markCurrent(boolean beforeAfter)` Mark the current element in the context of this element.
`Object` | `readResolve()` Implementations must be resolvable.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Remove a property change listener.

Field Detail

### serialVersionUID

    static final long serialVersionUID

  Deprecated. Only public by accident.
  See Also:
    Constant Field Values

Method Detail

### attachedToElement

    void attachedToElement(Element el)

  Called to attach the implementation to a specific element. Will be called in the element's constructor. Allows implementors of this interface to store a reference to the holder class, useful for implementing the property change listeners.

  Parameters:
    `el` - the element to attach to

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

  Add a property change listener.

  Parameters:
    `l` - the listener to add

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

  Remove a property change listener.

  Parameters:
    `l` - the listener to remove

### readResolve

    Object readResolve()

  Implementations must be resolvable. I.e., upon deserialization they must be able to recreate the holder class.

  Returns:
    an instance of the proper subclass of `Element`
  See Also:
    `Serializable`

### getCookie

    Node.Cookie getCookie(Class type)

  Get the support for a cookie, if any. Changes of supported cookies are not fired.

  Parameters:
    `type` - the cookie class to look for
  Returns:
    an instance assignable to that class, or `null` if the cookie is not supported

### markCurrent

    void markCurrent(boolean beforeAfter)

  Mark the current element in the context of this element. The current element means the position for inserting new elements.

  Parameters:
    `beforeAfter` - `true` means that new element is inserted before the specified element, `false` means after.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.